Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`python`.`win32``

module documentation
(source)

Win32 utilities.

See also twisted.python.shortcut.

Exception | `FakeWindowsError` | Stand-in for sometimes-builtin exception on platforms for which it is missing.
Function | `cmdLineQuote` | Internal method for quoting a single command-line argument.
Function | `quoteArguments` | Quote an iterable of command-line arguments for passing to CreateProcess or a similar API. This allows the list passed to `reactor.spawnProcess` to match the child process's `sys.argv` properly.
Constant | `ERROR_DIRECTORY` | Undocumented
Constant | `ERROR_FILE_NOT_FOUND` | Undocumented
Constant | `ERROR_INVALID_NAME` | Undocumented
Constant | `ERROR_PATH_NOT_FOUND` | Undocumented
Constant | `O_BINARY` | the 'binary' mode flag on Windows, or 0 on other platforms, so it may safely be OR'ed into a mask for os.open.
Variable | `formatError` | Undocumented
Class | `_ErrorFormatter` | Formatter for Windows error messages.
Variable | `_cmdLineQuoteRe` | Undocumented
Variable | `_cmdLineQuoteRe2` | Undocumented

def cmdLineQuote(s): (source)

Internal method for quoting a single command-line argument.

Parameters
s:`str` | an unquoted string that you want to quote so that something that does cmd.exe-style unquoting will interpret it as a single argument, even if it contains spaces.
Returns
`str` | a quoted string.

def quoteArguments(arguments): (source)

Quote an iterable of command-line arguments for passing to CreateProcess or a similar API. This allows the list passed to `reactor.spawnProcess` to match the child process's `sys.argv` properly.

Parameters
arguments | an iterable of `str`, each unquoted.
Returns
a single string, with the given sequence quoted as necessary.

ERROR_DIRECTORY: `int` = (source)

Undocumented

Value

    267

ERROR_FILE_NOT_FOUND: `int` = (source)

Undocumented

Value

    2

ERROR_INVALID_NAME: `int` = (source)

Undocumented

Value

    123

ERROR_PATH_NOT_FOUND: `int` = (source)

Undocumented

Value

    3

O_BINARY = (source)

the 'binary' mode flag on Windows, or 0 on other platforms, so it may safely be OR'ed into a mask for os.open.

Value

    getattr(os, 'O_BINARY', 0)

formatError = (source)

Undocumented

_cmdLineQuoteRe = (source)

Undocumented

_cmdLineQuoteRe2 = (source)

Undocumented